Skip to main content

Job - Unassign

Removes a job file from a field computer's assignment list.

If successful, the Slingshot API Server will respond with a HTTP 200 - OK status. If the request fails, the Slingshot API Server will return the appropriate error code.

HTTP Method and URL​

DELETE https://api.raven.engineering/prepopulatedjobs/:fileid/assignment/:fieldcomputerid

URL Parameters​

ParameterDescription
fileIdFile ID (fdcFileId) returned by the Job Create request.
fieldComputerIdField Computer ID returned from the Field Computer list.

HTTP Query Parameters​

None

HTTP Headers​

To learn more about these parameters, read about Authentication.

HeaderDescription
X-SS-AccessKey[Required] Token issued to a Slingshot user from the Raven Slingshot Portal Server.
X-SS-APIKey[Required] Token issued to the Slingshot developer from Raven.
X-SS-Signature[Required] The signature generated for a specific request.
X-SS-TimeStamp[Required] The timestamp of when the request was generated.

Sample Response​

{
"status": true,
"errorInfo": "",
"result": "Job assignment removed."
}